com.oracle.truffle.api.nodes

## Class NodeCloneable

- java.lang.Object
- - com.oracle.truffle.api.nodes.NodeCloneable

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  BranchProfile, ConditionProfile

    public abstract class NodeCloneable
    extends java.lang.Object
    implements java.lang.Cloneable

Declarative base class for node fields that are to be cloned together with the containing node.

### Constructor Summary

Constructors
Constructor and Description
`NodeCloneable()`

### Method Summary

Methods
`protected java.lang.Object` `clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeCloneable

    public NodeCloneable()

### Method Detail

#### clone

    protected java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`